Skip to main content
GET
/
v2
/
account
/
sub-accounts
List sub-accounts
curl --request GET \
  --url https://api.example.com/v2/account/sub-accounts/ \
  --header 'Authorization: Bearer <token>'
{
  "cursor": "<string>",
  "subAccount": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mainAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountInfo": {
        "mainAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "workspaceMainUser": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "subAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "countryTaxResidence": "<string>",
        "countrySubdivisionTaxResidence": "<string>",
        "name": "<string>",
        "identityStatus": "<string>",
        "initialized": true,
        "createdAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string
createdAfter
integer<int64>

Unix timestamp (seconds) lower bound (inclusive).

createdBefore
integer<int64>
accountType
enum<string>
Available options:
INDIVIDUAL,
COMPANY
name
string

Response

OK

cursor
string
subAccount
object[]